const std = @import("std");
const c = @cImport(@cInclude("libomt.h"));

pub fn codecToString(codec: c.OMTCodec) ?[]const u8 {
    return switch (codec) {
        c.OMTCodec_VMX1 => "VMX1",
        c.OMTCodec_FPA1 => "FPA1", //Planar audio
        c.OMTCodec_UYVY => "UYVY",
        c.OMTCodec_YUY2 => "YUY2",
        c.OMTCodec_BGRA => "BGRA",
        c.OMTCodec_NV12 => "NV12",
        c.OMTCodec_YV12 => "YV12",
        c.OMTCodec_UYVA => "UYVA",
        c.OMTCodec_P216 => "P216",
        c.OMTCodec_PA16 => "PA16,",
        else => "Invalid",
    };
}

pub fn colorSpaceToString(cs: c.OMTColorSpace) []const u8 {
    return switch (cs) {
        c.OMTColorSpace_Undefined => "Undefined",
        c.OMTColorSpace_BT601 => "BT601",
        c.OMTColorSpace_BT709 => "BT709",
        else => "Invalid",
    };
}
